# encode-for-uri

Applies the %HH escaping convention to a URI, escaping both disallowed characters and reserved characters such as "/" and ":"

encode-for-uri($uri-part as xs:string?) → xs:string

Arguments
| $uri-part | xs:string? | The string to be encoded for inclusion in a URI
Result | xs:string

Links to W3C specifications

Namespace: http://www.w3.org/2005/xpath-functions

Applies to: XPath 2.0, XSLT 2.0, XQuery 1.0 and later versions

XPath 2.0 Specification

XPath 3.0 Specification

Notes on the Saxon implementation

The function is fully implemented according to the W3C specifications.

Next